List Partner webhook endpoints
curl --request GET \
--url https://api.stabyl.com/v1/partner/webhooks \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.stabyl.com/v1/partner/webhooks"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.stabyl.com/v1/partner/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"created_at": "2026-07-12T11:00:00Z",
"description": "Production event receiver",
"event_types": [
"deposit.success",
"withdrawal.success"
],
"id": "01980d95-5537-76aa-88a8-ad59117632ef",
"secret_version": 1,
"status": "enabled",
"updated_at": "2026-07-12T11:00:00Z",
"url": "https://partner.example.com/stabyl/events"
}
],
"next_cursor": null
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "missing X-Api-Key header"
},
"status": "error"
}{
"error": {
"code": "MISSING_SCOPE",
"message": "missing_scope"
},
"status": "error"
}Webhooks
List Partner webhook endpoints
Lists enabled and disabled owned endpoints using a newest-first opaque cursor. Signing secrets and encrypted material are never returned.
GET
/
partner
/
webhooks
List Partner webhook endpoints
Authorizations
API credential. Withdrawal quote and submit operations additionally require the documented Ed25519 timestamp, nonce, and signature headers.
Query Parameters
Opaque cursor returned as next_cursor by the previous response for this endpoint.
Page size, clamped to 1..=100 (default 20).
Required range:
x >= 0Was this page helpful?
⌘I